import org.xiph.ftremor.Mdct;

class MTest {
    static public function main() : Void {
        var mdct : Mdct = new Mdct();
        mdct.init_lookup();

        var channels : Int = 2;
        var windowSize : Int = 2048;

        var freq : Array<Array<Int>> = new Array();
        for (i in 0...channels) {
            freq[i] = new Array();
            freq[i][windowSize - 1] = 0;
        };
        var pcm : Array<Array<Int>> = new Array();
        for (i in 0...channels) {
            pcm[i] = new Array();
            pcm[i][windowSize - 1] = 0;
        };

        var t0 : Float = haxe.Timer.stamp();

        var i : Int = 0;
        while (i < 1000) {
            var j : Int = 0;
            while (j < channels) {
                mdct.backward(windowSize, freq[j], pcm[j]);
                j++;
            };
            i++;
        };
        var t1 : Float = haxe.Timer.stamp();
        trace("time: " + (t1 - t0));
    }
}
