moduleImports = [
    'import org.xiph.system.Bytes',
]

typeTypeMap = {
    'byte': 'Int',
    'float': 'Float',
    'Object': 'Dynamic',
}

arrayTypeMap = {
    'byte': 'Bytes',
    'Object': 'Array<Dynamic>',
    'int': 'Array<Int>',
    'float': 'Array<Float>',
}

outputSubs = [
    (r'(package|import) com\.jcraft\.jogg(.*)', r'\1 org.xiph.fogg\2'),
    (r'(package|import) com\.jcraft\.jorbis(.*)', r'\1 org.xiph.fvorbis\2'),
    (r"'\\0'", '0'),
    (r'new byte\[([^\]]*)\]', r'System.alloc(\1)'),
    (r'System\.(err|out)\.println\((.*)\);', r'trace(\2);')
]

writeMainMethodScript = False
